# Phar::extractTo

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 2.0.0)

Phar::extractTo — Extract the contents of a phar archive to a directory

### Description

public Phar::extractTo ( string `$pathto` [, string|array `$files` [, bool `$overwrite` = `FALSE` ]] ) : bool

Extract all files within a phar archive to disk. Extracted files and directories preserve permissions as stored in the archive. The optional parameters allow optional control over which files are extracted, and whether existing files on disk can be overwritten. The second parameter `files` can be either the name of a file or directory to extract, or an array of names of files and directories to extract. By default, this method will not overwrite existing files, the third parameter can be set to true to enable overwriting of files. This method is similar to ZipArchive::extractTo().

### Parameters

`pathto`

  Path to extract the given `files` to

`files`

  The name of a file or directory to extract, or an array of files/directories to extract, `NULL` to skip this param

`overwrite`

  Set to `TRUE` to enable overwriting existing files

### Return Values

returns `TRUE` on success, but it is better to check for thrown exception, and assume success if none is thrown.

### Errors/Exceptions

Throws PharException if errors occur while flushing changes to disk.

### Examples

Example #1 A Phar::extractTo() example

`<?php
try {
$phar = new Phar('myphar.phar');
$phar->extractTo('/full/path'); // extract all files
$phar->extractTo('/another/path', 'file.txt'); // extract only file.txt
$phar->extractTo('/this/path',
array('file1.txt', 'file2.txt')); // extract 2 files only
$phar->extractTo('/third/path', null, true); // extract all files, and overwrite
} catch (Exception $e) {
// handle errors
}
?>`

### See Also

- PharData::extractTo() - Extract the contents of a tar/zip archive to a directory